Module jdk.compiler
Package com.sun.source.tree

## Interface ParameterizedTypeTree

- All Superinterfaces:
    `Tree`

      public interface ParameterizedTypeTree
      extends Tree

  A tree node for a type expression involving type parameters. For example:

         type < typeArguments >

  Since:
    1.6
  See The Java™ Language Specification:
    section 4.5.1

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Tree` | `getType​()` | Returns the base type.
    `List<? extends Tree>` | `getTypeArguments​()` | Returns the type arguments.

    - ### Methods inherited from interface com.sun.source.tree.Tree

      `accept, getKind`

- - ### Method Detail

    - #### getType

          Tree getType​()

      Returns the base type.
      Returns:
        the base type

    - #### getTypeArguments

          List<? extends Tree> getTypeArguments​()

      Returns the type arguments.
      Returns:
        the type arguments